Bug 461451 - Inappropriate logrotate configuration for salinfo
Inappropriate logrotate configuration for salinfo
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: salinfo (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Depends On:
  Show dependency treegraph
Reported: 2008-09-07 23:29 EDT by Tim Potter
Modified: 2013-04-12 15:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-09 09:33:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Potter 2008-09-07 23:29:33 EDT
Description of problem:

The salinfo package comes with some configuration for logrotate which is inappropriate and unnecessary.  The salinfo daemon creates files (basically timestamped firmware error records) with unique filenames so rotation is not required.

Treating the files in /var/log/salinfo/{decoded,raw} as logs results in zero length files being created where data is expected, with the originals being moved to a subdirectory with .1 appended to the filename.  Management applications expect the SAL error records to remain in the /var/log/salinfo directory until deleted by an administrator.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 3 Prarit Bhargava 2009-12-09 09:33:21 EST
Closing.  No customer has complained about this issue and it is unlikely we'll issue a fix.


Note You need to log in before you can comment on or make changes to this bug.